<template>
  <div class="information-card-container">
    <personal-information-card
      :user="user"
      :loading="loading"
      :editable="!this.id"
    />
    <abeuni-information-card
      :user="user"
      :loading="loading"
      :editable="!this.id"
    />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import PersonalInformationCard from '@/components/profile-page/PersonalInformationCard.vue'
import AbeuniInformationCard from '@/components/profile-page/AbeuniInformationCard.vue'
import { get } from '../util/http'

export default Vue.extend({
  name: 'profile-page',
  components: {
    PersonalInformationCard,
    AbeuniInformationCard
  },
  data () {
    return {
      loading: true,
      user: null as unknown
    }
  },
  computed: {
    id () {
      return this.$route.params.id
    },
    auth0Loading () {
      return this.$auth.loading
    }
  },
  watch: {
    async auth0Loading () {
      const userResponse = await get(this.id ? `user/${this.id}` : 'user')
      this.user = userResponse.data

      this.loading = false
    }
  }
})
</script>

<style lang="scss">
.information-card-container {
  display: flex;
  width: 100%;

  > * {
    flex: 1;
    margin: 1em;
  }
}
</style>
